commit 1fa28f088e04a58f5241461230e50357f281cab0
Author: Andrew Beekhof <andrew@beekhof.net>
Date:   Thu Nov 2 13:40:26 2017 +1100

    Test: PE: Improved logging of reasons for stop/restart actions

Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/11-a-then-bm-b-move-a-clone-starting.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/11-a-then-bm-b-move-a-clone-starting.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/11-a-then-bm-b-move-a-clone-starting.dot
@@ -12,7 +12,6 @@
 "myclone-clone_stopped_0" -> "myclone-clone_start_0" [ style = bold]
 "myclone-clone_stopped_0" [ style=bold color="green" fontcolor="orange"]
 "myclone_monitor_0 f20node2" -> "myclone-clone_start_0" [ style = bold]
-"myclone_monitor_0 f20node2" -> "myclone_stop_0 f20node1" [ style = bold]
 "myclone_monitor_0 f20node2" [ style=bold color="green" fontcolor="black"]
 "myclone_start_0 f20node2" -> "myclone-clone_running_0" [ style = bold]
 "myclone_start_0 f20node2" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/11-a-then-bm-b-move-a-clone-starting.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/11-a-then-bm-b-move-a-clone-starting.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/11-a-then-bm-b-move-a-clone-starting.exp
@@ -24,9 +24,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="myclone_monitor_0" internal_operation_key="myclone:0_monitor_0" on_node="f20node2" on_node_uuid="2"/>
-      </trigger>
-      <trigger>
         <pseudo_event id="7" operation="stop" operation_key="myclone-clone_stop_0"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/594.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/594.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/594.dot
@@ -1,6 +1,5 @@
 digraph "g" {
 "DcIPaddr_monitor_0 hadev1" -> "DcIPaddr_start_0 hadev1" [ style = bold]
-"DcIPaddr_monitor_0 hadev1" -> "DcIPaddr_stop_0 hadev2" [ style = bold]
 "DcIPaddr_monitor_0 hadev1" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_5000 hadev1" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_start_0 hadev1" -> "DcIPaddr_monitor_5000 hadev1" [ style = bold]
@@ -26,7 +25,6 @@ digraph "g" {
 "child_DoFencing:2_stop_0 hadev1" [ style=bold color="green" fontcolor="black" ]
 "do_shutdown hadev2" [ style=bold color="green" fontcolor="black" ]
 "rsc_hadev2_monitor_0 hadev1" -> "rsc_hadev2_start_0 hadev1" [ style = bold]
-"rsc_hadev2_monitor_0 hadev1" -> "rsc_hadev2_stop_0 hadev2" [ style = bold]
 "rsc_hadev2_monitor_0 hadev1" [ style=bold color="green" fontcolor="black" ]
 "rsc_hadev2_monitor_5000 hadev1" [ style=bold color="green" fontcolor="black" ]
 "rsc_hadev2_start_0 hadev1" -> "rsc_hadev2_monitor_5000 hadev1" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/594.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/594.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/594.exp
@@ -38,11 +38,7 @@
         <attributes CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_timeout="20000"  ip="127.0.0.10"/>
       </rsc_op>
     </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="3">
     <action_set>
@@ -101,11 +97,7 @@
         <attributes CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_timeout="20000"  ip="127.0.0.22"/>
       </rsc_op>
     </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="10" operation="monitor" operation_key="rsc_hadev2_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="8">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/662.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/662.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/662.dot
@@ -22,13 +22,10 @@
 "child_DoFencing:3_monitor_0 c001n04" [ style=bold color="green" fontcolor="black" ]
 "do_shutdown c001n02" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_0 c001n03" -> "rsc_c001n02_start_0 c001n03" [ style = bold]
-"rsc_c001n02_monitor_0 c001n03" -> "rsc_c001n02_stop_0 c001n02" [ style = bold]
 "rsc_c001n02_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_0 c001n04" -> "rsc_c001n02_start_0 c001n03" [ style = bold]
-"rsc_c001n02_monitor_0 c001n04" -> "rsc_c001n02_stop_0 c001n02" [ style = bold]
 "rsc_c001n02_monitor_0 c001n04" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_0 c001n09" -> "rsc_c001n02_start_0 c001n03" [ style = bold]
-"rsc_c001n02_monitor_0 c001n09" -> "rsc_c001n02_stop_0 c001n02" [ style = bold]
 "rsc_c001n02_monitor_0 c001n09" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_5000 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_start_0 c001n03" -> "rsc_c001n02_monitor_5000 c001n03" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/662.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/662.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/662.exp
@@ -95,17 +95,7 @@
         <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
        </rsc_op>
      </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="18" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="24" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n04" on_node_uuid="c2896699-96b8-4dbc-a94e-6c3b9252b559"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="29" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n09" on_node_uuid="f67904e0-4dfc-4db1-83a2-e930fc1d20f4"/>
-      </trigger>
-    </inputs>
+    <inputs/>
    </synapse>
   <synapse id="9">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/696.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/696.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/696.dot
@@ -32,10 +32,8 @@
 "child_DoFencing:2_start_0 hadev1" -> "child_DoFencing:2_monitor_5000 hadev1" [ style = bold]
 "child_DoFencing:2_start_0 hadev1" [ style=bold color="green" fontcolor="black" ]
 "rsc_hadev1_monitor_0 hadev1" -> "rsc_hadev1_start_0 hadev1" [ style = bold]
-"rsc_hadev1_monitor_0 hadev1" -> "rsc_hadev1_stop_0 hadev3" [ style = bold]
 "rsc_hadev1_monitor_0 hadev1" [ style=bold color="green" fontcolor="black" ]
 "rsc_hadev1_monitor_0 hadev2" -> "rsc_hadev1_start_0 hadev1" [ style = bold]
-"rsc_hadev1_monitor_0 hadev2" -> "rsc_hadev1_stop_0 hadev3" [ style = bold]
 "rsc_hadev1_monitor_0 hadev2" [ style=bold color="green" fontcolor="black" ]
 "rsc_hadev1_monitor_5000 hadev1" [ style=bold color="green" fontcolor="black" ]
 "rsc_hadev1_start_0 hadev1" -> "rsc_hadev1_monitor_5000 hadev1" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/696.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/696.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/696.exp
@@ -85,14 +85,7 @@
         <attributes CRM_meta_on_node="hadev3" CRM_meta_on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669" CRM_meta_timeout="20000"  ip="10.0.0.11"/>
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc_hadev1_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="rsc_hadev1_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="7">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/726.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/726.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/726.dot
@@ -54,13 +54,10 @@
 "child_DoFencing:3_start_0 sgi2" -> "child_DoFencing:3_monitor_5000 sgi2" [ style = bold]
 "child_DoFencing:3_start_0 sgi2" [ style=bold color="green" fontcolor="black" ]
 "rsc_ibm1_monitor_0 ibm1" -> "rsc_ibm1_start_0 ibm1" [ style = bold]
-"rsc_ibm1_monitor_0 ibm1" -> "rsc_ibm1_stop_0 test03" [ style = bold]
 "rsc_ibm1_monitor_0 ibm1" [ style=bold color="green" fontcolor="black" ]
 "rsc_ibm1_monitor_0 sgi2" -> "rsc_ibm1_start_0 ibm1" [ style = bold]
-"rsc_ibm1_monitor_0 sgi2" -> "rsc_ibm1_stop_0 test03" [ style = bold]
 "rsc_ibm1_monitor_0 sgi2" [ style=bold color="green" fontcolor="black" ]
 "rsc_ibm1_monitor_0 test02" -> "rsc_ibm1_start_0 ibm1" [ style = bold]
-"rsc_ibm1_monitor_0 test02" -> "rsc_ibm1_stop_0 test03" [ style = bold]
 "rsc_ibm1_monitor_0 test02" [ style=bold color="green" fontcolor="black" ]
 "rsc_ibm1_monitor_5000 ibm1" [ style=bold color="green" fontcolor="black" ]
 "rsc_ibm1_start_0 ibm1" -> "rsc_ibm1_monitor_5000 ibm1" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/726.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/726.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/726.exp
@@ -148,17 +148,7 @@
         <attributes CRM_meta_on_node="test03" CRM_meta_on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc_ibm1_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="13" operation="monitor" operation_key="rsc_ibm1_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="22" operation="monitor" operation_key="rsc_ibm1_monitor_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="13">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/764.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/764.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/764.dot
@@ -1,6 +1,5 @@
  digraph "g" {
 "DcIPaddr_monitor_0 posic041" -> "DcIPaddr_start_0 posic043" [ style = dashed]
-"DcIPaddr_monitor_0 posic041" -> "DcIPaddr_stop_0 posic043" [ style = bold]
 "DcIPaddr_monitor_0 posic041" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_5000 posic043" [ style=dashed color="red" fontcolor="black"]
 "DcIPaddr_start_0 posic043" -> "DcIPaddr_monitor_5000 posic043" [ style = dashed]
@@ -15,7 +14,6 @@
 "child_DoFencing:2_monitor_0 posic041" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:3_monitor_0 posic041" [ style=bold color="green" fontcolor="black" ]
 "rsc_posic041_monitor_0 posic043" -> "rsc_posic041_start_0 posic041" [ style = dashed]
-"rsc_posic041_monitor_0 posic043" -> "rsc_posic041_stop_0 posic041" [ style = bold]
 "rsc_posic041_monitor_0 posic043" [ style=bold color="green" fontcolor="black" ]
 "rsc_posic041_monitor_5000 posic041" [ style=dashed color="red" fontcolor="black"]
 "rsc_posic041_start_0 posic041" -> "rsc_posic041_monitor_5000 posic041" [ style = dashed]
@@ -24,7 +22,6 @@
 "rsc_posic041_stop_0 posic041" -> "rsc_posic041_start_0 posic041" [ style = dashed]
 "rsc_posic041_stop_0 posic041" [ style=bold color="green" fontcolor="black" ]
 "rsc_posic042_monitor_0 posic043" -> "rsc_posic042_start_0 posic041" [ style = dashed]
-"rsc_posic042_monitor_0 posic043" -> "rsc_posic042_stop_0 posic041" [ style = bold]
 "rsc_posic042_monitor_0 posic043" [ style=bold color="green" fontcolor="black" ]
 "rsc_posic042_monitor_5000 posic041" [ style=dashed color="red" fontcolor="black"]
 "rsc_posic042_start_0 posic041" -> "rsc_posic042_monitor_5000 posic041" [ style = dashed]
@@ -33,7 +30,6 @@
 "rsc_posic042_stop_0 posic041" -> "rsc_posic042_start_0 posic041" [ style = dashed]
 "rsc_posic042_stop_0 posic041" [ style=bold color="green" fontcolor="black" ]
 "rsc_posic043_monitor_0 posic041" -> "rsc_posic043_start_0 posic043" [ style = dashed]
-"rsc_posic043_monitor_0 posic041" -> "rsc_posic043_stop_0 posic043" [ style = bold]
 "rsc_posic043_monitor_0 posic041" [ style=bold color="green" fontcolor="black" ]
 "rsc_posic043_monitor_5000 posic043" [ style=dashed color="red" fontcolor="black"]
 "rsc_posic043_start_0 posic043" -> "rsc_posic043_monitor_5000 posic043" [ style = dashed]
@@ -42,7 +38,6 @@
 "rsc_posic043_stop_0 posic043" -> "rsc_posic043_start_0 posic043" [ style = dashed]
 "rsc_posic043_stop_0 posic043" [ style=bold color="green" fontcolor="black" ]
 "rsc_posic044_monitor_0 posic043" -> "rsc_posic044_start_0 posic041" [ style = dashed]
-"rsc_posic044_monitor_0 posic043" -> "rsc_posic044_stop_0 posic041" [ style = bold]
 "rsc_posic044_monitor_0 posic043" [ style=bold color="green" fontcolor="black" ]
 "rsc_posic044_monitor_5000 posic041" [ style=dashed color="red" fontcolor="black"]
 "rsc_posic044_start_0 posic041" -> "rsc_posic044_monitor_5000 posic041" [ style = dashed]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/764.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/764.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/764.exp
@@ -6,11 +6,7 @@
         <attributes CRM_meta_on_node="posic043" CRM_meta_on_node_uuid="3daa25e7-8713-4c6f-8790-7f41599a1596" CRM_meta_timeout="20000"  ip="127.0.0.10"/>
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="5" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="posic041" on_node_uuid="c5d5ed56-7340-4d81-afd6-40b5ee6803ad"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="1">
      <action_set>
@@ -28,11 +24,7 @@
         <attributes CRM_meta_on_node="posic041" CRM_meta_on_node_uuid="c5d5ed56-7340-4d81-afd6-40b5ee6803ad" CRM_meta_timeout="20000"  ip="127.0.0.11"/>
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="rsc_posic041_monitor_0" on_node="posic043" on_node_uuid="3daa25e7-8713-4c6f-8790-7f41599a1596"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="3">
      <action_set>
@@ -50,11 +42,7 @@
         <attributes CRM_meta_on_node="posic041" CRM_meta_on_node_uuid="c5d5ed56-7340-4d81-afd6-40b5ee6803ad" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="10" operation="monitor" operation_key="rsc_posic042_monitor_0" on_node="posic043" on_node_uuid="3daa25e7-8713-4c6f-8790-7f41599a1596"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="5">
      <action_set>
@@ -72,11 +60,7 @@
         <attributes CRM_meta_on_node="posic043" CRM_meta_on_node_uuid="3daa25e7-8713-4c6f-8790-7f41599a1596" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="6" operation="monitor" operation_key="rsc_posic043_monitor_0" on_node="posic041" on_node_uuid="c5d5ed56-7340-4d81-afd6-40b5ee6803ad"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="7">
      <action_set>
@@ -94,11 +78,7 @@
         <attributes CRM_meta_on_node="posic041" CRM_meta_on_node_uuid="c5d5ed56-7340-4d81-afd6-40b5ee6803ad" CRM_meta_timeout="20000"  ip="127.0.0.14"/>
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="11" operation="monitor" operation_key="rsc_posic044_monitor_0" on_node="posic043" on_node_uuid="3daa25e7-8713-4c6f-8790-7f41599a1596"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="9">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/797.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/797.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/797.dot
@@ -2,7 +2,6 @@
 "DcIPaddr_delete_0 c001n03" -> "DcIPaddr_start_0 c001n03" [ style = dashed]
 "DcIPaddr_delete_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_0 c001n01" -> "DcIPaddr_start_0 c001n03" [ style = dashed]
-"DcIPaddr_monitor_0 c001n01" -> "DcIPaddr_stop_0 c001n03" [ style = bold]
 "DcIPaddr_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_0 c001n02" -> "DcIPaddr_start_0 c001n03" [ style = dashed]
 "DcIPaddr_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
@@ -51,7 +50,6 @@
 "child_DoFencing:3_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "do_shutdown c001n02" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n01_monitor_0 c001n03" -> "rsc_c001n01_start_0 c001n01" [ style = dashed]
-"rsc_c001n01_monitor_0 c001n03" -> "rsc_c001n01_stop_0 c001n01" [ style = bold]
 "rsc_c001n01_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n01_monitor_5000 c001n01" [ style=dashed color="red" fontcolor="black"]
 "rsc_c001n01_start_0 c001n01" -> "rsc_c001n01_monitor_5000 c001n01" [ style = dashed]
@@ -60,10 +58,8 @@
 "rsc_c001n01_stop_0 c001n01" -> "rsc_c001n01_start_0 c001n01" [ style = dashed]
 "rsc_c001n01_stop_0 c001n01" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_0 c001n01" -> "rsc_c001n02_start_0 c001n01" [ style = dashed]
-"rsc_c001n02_monitor_0 c001n01" -> "rsc_c001n02_stop_0 c001n02" [ style = bold]
 "rsc_c001n02_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_0 c001n03" -> "rsc_c001n02_start_0 c001n01" [ style = dashed]
-"rsc_c001n02_monitor_0 c001n03" -> "rsc_c001n02_stop_0 c001n02" [ style = bold]
 "rsc_c001n02_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_5000 c001n01" [ style=dashed color="red" fontcolor="black" ]
 "rsc_c001n02_start_0 c001n01" -> "rsc_c001n02_monitor_5000 c001n01" [ style = dashed]
@@ -73,7 +69,6 @@
 "rsc_c001n02_stop_0 c001n02" -> "rsc_c001n02_start_0 c001n01" [ style = dashed]
 "rsc_c001n02_stop_0 c001n02" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n03_monitor_0 c001n01" -> "rsc_c001n03_start_0 c001n03" [ style = dashed]
-"rsc_c001n03_monitor_0 c001n01" -> "rsc_c001n03_stop_0 c001n03" [ style = bold]
 "rsc_c001n03_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n03_monitor_0 c001n02" -> "rsc_c001n03_start_0 c001n03" [ style = dashed]
 "rsc_c001n03_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
@@ -84,10 +79,8 @@
 "rsc_c001n03_stop_0 c001n03" -> "rsc_c001n03_start_0 c001n03" [ style = dashed]
 "rsc_c001n03_stop_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n08_monitor_0 c001n01" -> "rsc_c001n08_start_0 c001n01" [ style = dashed]
-"rsc_c001n08_monitor_0 c001n01" -> "rsc_c001n08_stop_0 c001n02" [ style = bold]
 "rsc_c001n08_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n08_monitor_0 c001n03" -> "rsc_c001n08_start_0 c001n01" [ style = dashed]
-"rsc_c001n08_monitor_0 c001n03" -> "rsc_c001n08_stop_0 c001n02" [ style = bold]
 "rsc_c001n08_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n08_monitor_5000 c001n01" [ style=dashed color="red" fontcolor="black" ]
 "rsc_c001n08_start_0 c001n01" -> "rsc_c001n08_monitor_5000 c001n01" [ style = dashed]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/797.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/797.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/797.exp
@@ -37,11 +37,7 @@
         <attributes CRM_meta_on_node="c001n03" CRM_meta_on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193" CRM_meta_timeout="20000"  ip="127.0.0.10"/>
        </rsc_op>
      </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="12" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
-      </trigger>
-    </inputs>
+    <inputs/>
    </synapse>
    <synapse id="4">
      <action_set>
@@ -50,14 +46,7 @@
         <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f" CRM_meta_timeout="20000"  ip="127.0.0.11"/>
        </rsc_op>
      </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="13" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="21" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
-      </trigger>
-    </inputs>
+    <inputs/>
    </synapse>
    <synapse id="5">
      <action_set>
@@ -84,14 +73,7 @@
         <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
        </rsc_op>
      </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="14" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="22" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
-      </trigger>
-    </inputs>
+    <inputs/>
    </synapse>
   <synapse id="8">
      <action_set>
@@ -118,11 +100,7 @@
         <attributes CRM_meta_on_node="c001n03" CRM_meta_on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="15" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="11">
      <action_set>
@@ -149,11 +127,7 @@
         <attributes CRM_meta_on_node="c001n01" CRM_meta_on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3" CRM_meta_timeout="20000"  ip="127.0.0.14"/>
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="23" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="14">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/829.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/829.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/829.dot
@@ -18,13 +18,10 @@ digraph "g" {
 "rsc_c001n01_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n01_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_0 c001n01" -> "rsc_c001n02_start_0 c001n01" [ style = bold]
-"rsc_c001n02_monitor_0 c001n01" -> "rsc_c001n02_stop_0 c001n02" [ style = bold]
 "rsc_c001n02_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_0 c001n03" -> "rsc_c001n02_start_0 c001n01" [ style = bold]
-"rsc_c001n02_monitor_0 c001n03" -> "rsc_c001n02_stop_0 c001n02" [ style = bold]
 "rsc_c001n02_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_0 c001n08" -> "rsc_c001n02_start_0 c001n01" [ style = bold]
-"rsc_c001n02_monitor_0 c001n08" -> "rsc_c001n02_stop_0 c001n02" [ style = bold]
 "rsc_c001n02_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_5000 c001n01" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_start_0 c001n01" -> "rsc_c001n02_monitor_5000 c001n01" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/829.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/829.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/829.exp
@@ -81,15 +81,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="11" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="18" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="22" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
-      </trigger>
-      <trigger>
         <crm_event id="49" operation="stonith" operation_key="stonith-c001n02-reboot" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-n-387749.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/bug-n-387749.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-n-387749.dot
@@ -43,7 +43,6 @@ digraph "g" {
 "group_nfs_stopped_0" -> "group_nfs_start_0" [ style = bold]
 "group_nfs_stopped_0" [ style=bold color="green" fontcolor="orange" ]
 "resource_ipaddr1_single_monitor_0 power720-1" -> "resource_ipaddr1_single_start_0 power720-1" [ style = bold]
-"resource_ipaddr1_single_monitor_0 power720-1" -> "resource_ipaddr1_single_stop_0 power720-2" [ style = bold]
 "resource_ipaddr1_single_monitor_0 power720-1" [ style=bold color="green" fontcolor="black" ]
 "resource_ipaddr1_single_monitor_5000 power720-1" [ style=bold color="green" fontcolor="black" ]
 "resource_ipaddr1_single_start_0 power720-1" -> "group_nfs_running_0" [ style = bold]
@@ -55,7 +54,6 @@ digraph "g" {
 "resource_ipaddr1_single_stop_0 power720-2" -> "resource_ipaddr1_single_start_0 power720-1" [ style = bold]
 "resource_ipaddr1_single_stop_0 power720-2" [ style=bold color="green" fontcolor="black" ]
 "resource_nfsserver_single_monitor_0 power720-1" -> "resource_nfsserver_single_start_0 power720-1" [ style = bold]
-"resource_nfsserver_single_monitor_0 power720-1" -> "resource_nfsserver_single_stop_0 power720-2" [ style = bold]
 "resource_nfsserver_single_monitor_0 power720-1" [ style=bold color="green" fontcolor="black" ]
 "resource_nfsserver_single_monitor_15000 power720-1" [ style=bold color="green" fontcolor="black" ]
 "resource_nfsserver_single_start_0 power720-1" -> "group_nfs_running_0" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-n-387749.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/bug-n-387749.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-n-387749.exp
@@ -270,9 +270,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="7" operation="monitor" operation_key="resource_ipaddr1_single_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
-       </trigger>
-       <trigger>
         <rsc_op id="27" operation="stop" operation_key="resource_nfsserver_single_stop_0" on_node="power720-2" on_node_uuid="1a1ecd04-01a0-43bf-9392-11b89f7d6f10"/>
        </trigger>
        <trigger>
@@ -333,9 +330,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="resource_nfsserver_single_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
-      </trigger>
-      <trigger>
         <pseudo_event id="32" operation="stop" operation_key="group_nfs_stop_0"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/group5.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/group5.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/group5.dot
@@ -1,7 +1,6 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "child_rsc1_monitor_0 node2" -> "child_rsc1_start_0 node2" [ style = bold]
-"child_rsc1_monitor_0 node2" -> "child_rsc1_stop_0 node1" [ style = bold]
 "child_rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1_start_0 node2" -> "child_rsc2_start_0 node2" [ style = bold]
 "child_rsc1_start_0 node2" -> "rsc2_running_0" [ style = bold]
@@ -11,7 +10,6 @@
 "child_rsc1_stop_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc1_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2_monitor_0 node2" -> "child_rsc2_start_0 node2" [ style = bold]
-"child_rsc2_monitor_0 node2" -> "child_rsc2_stop_0 node1" [ style = bold]
 "child_rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2_start_0 node2" -> "child_rsc3_start_0 node2" [ style = bold]
 "child_rsc2_start_0 node2" -> "rsc2_running_0" [ style = bold]
@@ -22,7 +20,6 @@
 "child_rsc2_stop_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc3_monitor_0 node2" -> "child_rsc3_start_0 node2" [ style = bold]
-"child_rsc3_monitor_0 node2" -> "child_rsc3_stop_0 node1" [ style = bold]
 "child_rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc3_start_0 node2" -> "rsc2_running_0" [ style = bold]
 "child_rsc3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -32,7 +29,6 @@
 "child_rsc3_stop_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc3_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
-"rsc1_monitor_0 node2" -> "rsc1_stop_0 node1" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" -> "rsc2_start_0" [ style = bold]
 "rsc1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -55,7 +51,6 @@
 "rsc2_stopped_0" -> "rsc2_start_0" [ style = bold]
 "rsc2_stopped_0" [ style=bold color="green" fontcolor="orange" ]
 "rsc3_monitor_0 node2" -> "rsc3_start_0 node2" [ style = bold]
-"rsc3_monitor_0 node2" -> "rsc3_stop_0 node1" [ style = bold]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_stop_0 node1" -> "all_stopped" [ style = bold]
